com.abbyy.mobile.rtr

## Class IImagingCoreAPI.ExportToWebPOperation

- java.lang.Object
- - com.abbyy.mobile.rtr.IImagingCoreAPI.ExportToWebPOperation

- All Implemented Interfaces:
    IImagingCoreAPI.ExportOperation, java.lang.AutoCloseable
  Enclosing interface:
    IImagingCoreAPI

      public abstract static class IImagingCoreAPI.ExportToWebPOperation
      extends java.lang.Object
      implements IImagingCoreAPI.ExportOperation

  Export to WebP operation. WebP is an image format promoted by Google and natively present on Android devices. It is a modern format and gives a better quality compared to JPG at similar compression rates. It is faster than JPEG2000 and similar in both quality and speed to JPG XR promoted by Microsoft Codecs are available as source code or compiled tools with permissive license

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.abbyy.mobile.rtr.IImagingCoreAPI.ExportOperation

      `IImagingCoreAPI.ExportOperation.Compression, IImagingCoreAPI.ExportOperation.CompressionType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IImagingCoreAPI.ExportOperation.Compression` | `Compression` Image compression.
    `int` | `Resolution` Image resolution to be set in EXIF, zero by default

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportToWebPOperation()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.abbyy.mobile.rtr.IImagingCoreAPI.ExportOperation

      `addPage`

    - ### Methods inherited from interface java.lang.AutoCloseable

      `close`

- - ### Field Detail

    - #### Compression

          public IImagingCoreAPI.ExportOperation.Compression Compression

      Image compression. See enum description

    - #### Resolution

          public int Resolution

      Image resolution to be set in EXIF, zero by default

  - ### Constructor Detail

    - #### ExportToWebPOperation

          public ExportToWebPOperation()